# Copyright (C) 2021 VMware, Inc. All rights reserved.
# -- VMware Confidential

logger.debug("wavefront monitor data_store:{}".format(data_store))


def handle_notification(notification):
    val = json.loads(notification['value']['val'])
    Exportdata(data = val, exports = ['wavefront'])

for key in data_store['metrics'].keys():
    if data_store['metrics'][key]:
        notification = data_store['metrics'][key]
        handle_notification(notification)
    else:
        logger.warn("Metric {}: No changes needs be reported.".format(key))
